Skip to main content
POST
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-3b
/
{year}
/
{month}
curl --request POST \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month} \
  --header 'Content-Type: application/json' \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "ret_period": "122023",
  "inward_sup": {
    "isup_details": [
      {
        "intra": 0,
        "ty": "GST",
        "inter": 0
      },
      {
        "intra": 0,
        "ty": "NONGST",
        "inter": 0
      }
    ]
  },
  "sup_details": {
    "osup_nil_exmp": {
      "txval": 0
    },
    "osup_nongst": {
      "txval": 0
    },
    "osup_zero": {
      "csamt": 0,
      "iamt": 0,
      "txval": 0
    },
    "osup_det": {
      "samt": 0,
      "csamt": 0,
      "camt": 0,
      "iamt": 0,
      "txval": 0
    },
    "isup_rev": {
      "samt": 0,
      "csamt": 0,
      "camt": 0,
      "iamt": 0,
      "txval": 0
    }
  },
  "intr_ltfee": {
    "intr_details": {
      "csamt": 0,
      "samt": 0,
      "camt": 0,
      "iamt": 0
    }
  },
  "inter_sup": {
    "comp_details": [],
    "uin_details": [],
    "unreg_details": []
  },
  "itc_elg": {
    "itc_avl": [
      {
        "samt": 0,
        "csamt": 0,
        "camt": 0,
        "ty": "IMPG",
        "iamt": 0
      },
      {
        "samt": 0,
        "csamt": 0,
        "camt": 0,
        "ty": "IMPS",
        "iamt": 0
      },
      {
        "samt": 0,
        "csamt": 0,
        "camt": 0,
        "ty": "ISRC",
        "iamt": 0
      },
      {
        "samt": 0,
        "csamt": 0,
        "camt": 0,
        "ty": "ISD",
        "iamt": 0
      },
      {
        "samt": 0,
        "csamt": 0,
        "camt": 0,
        "ty": "OTH",
        "iamt": 0
      }
    ],
    "itc_rev": [
      {
        "csamt": 0,
        "samt": 0,
        "camt": 0,
        "ty": "RUL",
        "iamt": 0
      },
      {
        "csamt": 0,
        "samt": 0,
        "camt": 0,
        "ty": "OTH",
        "iamt": 0
      }
    ],
    "itc_net": {
      "csamt": 0,
      "samt": 0,
      "camt": 0,
      "iamt": 0
    },
    "itc_inelg": [
      {
        "csamt": 0,
        "samt": 0,
        "camt": 0,
        "ty": "RUL",
        "iamt": 0
      },
      {
        "csamt": 0,
        "samt": 0,
        "camt": 0,
        "ty": "OTH",
        "iamt": 0
      }
    ]
  },
  "gstin": "29AAACQ3770E000"
}
'
{
  "code": 200,
  "data": {
    "data": {
      "reference_id": "ab2b2eae-974d-40e2-a721-8c4987af92d0"
    },
    "status_cd": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "a43cfcd6-9a48-4be9-82fd-0816070999db"
}

Documentation Index

Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt

Use this file to discover all available pages before exploring further.

Request body schema

View request body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required

Year e.g. 2020

Example:

"{{year}}"

month
string
required

Month e.g. 01

Example:

"{{month}}"

Body

application/json

JSON raw body

Response

200 - application/json

200 Success / RT-R3BQ1004 GSTR-1 not filed

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"a43cfcd6-9a48-4be9-82fd-0816070999db"